import React, { useEffect, useState } from "react";
import axios from "axios";
import "./Home.css"; // If you want to add styling later
import logo from "../assets/corps_logo.png";

/*
Just a page to test making api
calls.
*/
function Home() {
  const [data, setData] = useState(null);
  const [error, setError] = useState(null);

  // always use the REACT_APP_API_URL instead of http://localhost:3000
  // bc our cluster has a different value for REACT_APP_API_URL
  const url = `${process.env.REACT_APP_API_URL}`;

  console.log("URL after change: ", url);
  console.log("Change");

  // async function to make the API call
  const fetchData = async () => {
    try {
      const response = await axios.get(url);
      setData(response.data);
    } catch (error) {
      setError("error fetching data from api: ", url);
    }
  };

  // useEffect to make the API call
  useEffect(() => {
    fetchData(); // Call the async function
  }, [fetchData]);

  return (
    // <div>
    //   <h1>Home Page</h1>

    //   <p>
    //     Below are the results of calling the backend server. The API URL should
    //     be localhost in development and be
    //     http://corpsdirectory.discovery.cs.vt.edu/api in the cluster.
    //   </p>

    //   {/* Display data if it exists */}
    //   <p>
    //     Data: {data ? <span>{JSON.stringify(data)}</span> : <span>&nbsp;</span>}
    //   </p>

    //   <p>API URL: {process.env.REACT_APP_API_URL}</p>

    //   {/* display error if there is an error*/}
    //   <p>Error: {error ? <span>{error}</span> : <span>&nbsp;</span>}</p>
    // </div>
    <>
      <div className="text-center">
        <h1 className="thin-veranda">VT Cadet Directory</h1>
        <h1 className="bold-veranda">Connect to any Cadet</h1>
      </div>
      <div className="containerB">
        <div className="description-section">
          <div className="transparent-box-text">
            <h1 className="title-font">
              Virginia Tech Corps of Cadets Directory
            </h1>
            <h1 className="description-font">
              Lorem ipsum odor amet, consectetuer adipiscing elit. Primis quam
              vel posuere lobortis inceptos. Nostra sociosqu tristique sagittis
              iaculis velit morbi lobortis. Maecenas vivamus consectetur
              vestibulum adipiscing neque. Sollicitudin ornare nam sapien class
              ex velit in. Senectus pretium quisque cras phasellus sociosqu
              malesuada. Sapien pretium viverra adipiscing est libero aliquam.
              Cursus conubia a volutpat condimentum libero sed. Vulputate velit
              purus posuere amet class ut.
              <br />
              <br />
              Conubia mauris curabitur bibendum quisque justo dapibus potenti.
              Sem cubilia quisque in donec ipsum sem. Elit risus convallis
              ornare dis pharetra senectus. Sit sodales cursus mattis taciti
              purus vel suscipit proin. Cursus metus euismod primis sit praesent
              magnis phasellus. Ut sagittis inceptos pretium sociosqu bibendum,
              at tempus adipiscing. Ac elementum rhoncus egestas viverra commodo
              cursus turpis lectus torquent.
            </h1>
          </div>
        </div>
        <div className="transparent-box-image">
          <img src={logo} alt="Corps Logo" className="logo" width={400} />
        </div>
      </div>
      <div className="selection-section">
        <div className="button-container">
          <div className="button-wrapper">
            <button className="action-button">
              <img src={logo} width={70} alt="Browse" className="icon" />
            </button>
            <span>Browse</span>
          </div>
          <div className="button-wrapper">
            <button className="action-button">
              <img src={logo} alt="Search" className="icon" />
            </button>
            <span>Search</span>
          </div>
          <div className="button-wrapper">
            <button className="action-button">
              <img src={logo} alt="Message" className="icon" />
            </button>
            <span>Message</span>
          </div>
        </div>
      </div>
    </>
  );
}

export default Home;
